#!/uva/bin/python

import cgi
import util
import cookies
import users
import sys
import datetime
import rides

def printError (msg):
  print "<p>"
  print msg
  print "<p><a href=\"offer.cgi\">Return to Offer</a><p>"
  util.printFooter ()
  sys.exit (0)

util.printHeader ("Offer a Ride")
user = users.userTable.getCurrentUser ()

if not user:
  print "Must be logged in to offer a ride!"
  sys.exit (-1)

print "<h1>Offered a Ride</h1>"
form = cgi.FieldStorage()

if not form.has_key('notes'):
    form['notes'] = "" 

if not form.has_key('fromlat') :
   printError ("You must select an origin and destination on the map before submitting to offer a ride.")

if not form.has_key('destlat') :
   printError ("You must select a destination on the map before submitting to offer a ride.")

today = datetime.date.today ()

leaveyear = today.year
leavemonth = int(form['leavemonth'].value)

if leavemonth < today.month:
   leaveyear = leaveyear + 1

leaveday = int(form['leaveday'].value)

leave = str(leaveyear) + "." + str(leavemonth) + "." + str(leaveday)

returnyear = today.year
returnmonth = int(form['returnmonth'].value)

if returnmonth < today.month:
   returnyear = returnyear + 1

returnday = int(form['returnday'].value)
returndate = str(returnyear) + "." + str(returnmonth) + "." + str(returnday)

r = rides.Rides ();

r.add (user, leave, returndate, \
       form['fromlat'].value, form['fromlng'].value, \
       form['destlat'].value, form['destlng'].value, \
       form['notes'].value, 1)

print "Thank you for offering a ride!<p>"
print "<a href=\"offer.cgi\">Offer Another Ride</a><p>"
util.printFooter ()





