#!/uva/bin/python
#
# register-process.cgi
# CS150 Fall 2005
#

import util
import users
import cookies
import cgi
import sys
import random
import crypt
import constants
import sendMail

util.printHeader ("Register")

form = cgi.FieldStorage()
user = form['user'].value
email = form['email'].value
email = email + "@virginia.edu"
lastname = form['lastname'].value
firstnames = form['firstnames'].value

if users.userTable.hasUser (user):
   print "<h1>Registration Error</h1>"
   print "User " + user + " already exists.<p>You must select a unique user name.<p>"
   util.printFooter ()
   sys.exit (-1)

if users.userTable.hasEmail (user):
   print "<h1>Registration Error</h1>"
   print "An account with email " + email + " already exists.<p>Only one account may be opened for a given email address."
   util.printFooter ()
   sys.exit (-1)

print "<h1>Registration Result</h1><p>"
print "Creating account for " + user + ".<p>"
rnd = str(random.randint (0, 9999999)) + str(random.randint (0, 9999999))
encrnd = crypt.crypt (rnd, str(random.randint (0, 99999)))
users.userTable.createUser (user, email, firstnames, lastname, encrnd)
sendMail.send (email, "hoorides-bot@cs.virginia.edu", "Reset Password", \
                  "Your " + constants.SiteName + \
                  " account has been created.  To login use:\n   user: " + \
                  user + "\n   password: " + encrnd + "\n")
print "<p>You will receive an email containing your login information.<p>"
util.printFooter ()





